| IOLink Python 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Static Protected Member Functions | Properties | List of all members
iolink.iolink.DataFrameViewFactory Class Reference
Inheritance diagram for iolink.iolink.DataFrameViewFactory:

## Public Member Functions
| __init__ (self)

## Static Public Member Functions
| allocate (shape=None, columnNames=[], columnDataTypes=[])

## Static Protected Member Functions
| _allocate (shape, columnNames, columnDataTypes)
| _allocate_empty ()

## Properties
| thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")

## Member Function Documentation

## ◆ _allocate()

iolink.iolink.DataFrameViewFactory._allocate | ( |  | shape,
|  |  | columnNames,
|  |  | columnDataTypes
| ) |  |
| static protected

        This factory is aimed at creating a DataFrame view.

        :type shape: :py:class:`Vector2u64`
        :param shape: shape of the allocated dataframe (column count, row count)
        :type columnNames: string
        :param columnNames: Array which contains the name for each column
        :type columnDataTypes: :py:class:`DataType`
        :param columnDataTypes: Array which contains the data type of each column

        :rtype: :py:class:`DataFrameView`
        :return: an in-memory DataFrameView

        Warning: No check is done on inputs. Pass arguments very carefully.
        columnNames and columnDataTypes shall have the same element count, and their size
        must be equal to shape[0].
        column count and row count cannot be 0. To create an empty dataframe,
        use the parameterless allocate method.

## ◆ _allocate_empty()

iolink.iolink.DataFrameViewFactory._allocate_empty | ( |  | ) |
| static protected

        This factory aims to create an empty DataFrame view.
        Columns and rows can be added later.

The documentation for this class was generated from the following file:

- Release/python/iolink/iolink.py